package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.system.domain.SysScenic;
import com.ruoyi.system.domain.SysScenicDefault;
import com.ruoyi.system.domain.dto.SetPriceAndWorkDto;
import org.apache.ibatis.annotations.Param;

/**
 * 各景区默认配置Mapper接口
 * 
 * @author haotian
 * @date 2024-12-13
 */
public interface SysScenicDefaultMapper 
{
    /**
     * 查询各景区默认配置
     * 
     * @param id 各景区默认配置主键
     * @return 各景区默认配置
     */
    public SysScenicDefault selectSysScenicDefaultById(Long id);

    /**
     * 查询各景区默认配置列表
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 各景区默认配置集合
     */
    public List<SysScenicDefault> selectSysScenicDefaultList(SysScenicDefault sysScenicDefault);

    /**
     * 新增各景区默认配置
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 结果
     */
    public int insertSysScenicDefault(SysScenicDefault sysScenicDefault);

    /**
     * 修改各景区默认配置
     * 
     * @param sysScenicDefault 各景区默认配置
     * @return 结果
     */
    public int updateSysScenicDefault(SysScenicDefault sysScenicDefault);

    /**
     * 删除各景区默认配置
     * 
     * @param id 各景区默认配置主键
     * @return 结果
     */
    public int deleteSysScenicDefaultById(Long id);

    /**
     * 批量删除各景区默认配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysScenicDefaultByIds(Long[] ids);

    public List<SetPriceAndWorkDto> getPartPrice(SysScenic scenic);

    public SysScenicDefault getScenicDefaultByScenicAndPart(@Param("scenic") String scenic, @Param("part") String part);

}
